#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 nonce
version:              1.0.7
visibility:           public
id:                   nonce-1.0.7-JXK1KxMTK7dLf3y2vvMBN1
key:                  nonce-1.0.7-JXK1KxMTK7dLf3y2vvMBN1
license:              BSD-3-Clause
copyright:            (c) 2014 Prowdsponsor
maintainer:           Prowdsponsor <opensource@prowdsponsor.com>
author:               Felipe Lessa <felipe.lessa@prowdsponsor.com>
homepage:             https://github.com/prowdsponsor/nonce
synopsis:             Generate cryptographic nonces.
description:
    According to the Wikipedia, a nonce is an arbitrary number used
    only once in a cryptographic communication.  This package
    contain helper functions for generating nonces.

    There are many kinds of nonces used in different situations.
    It'\''s not guaranteed that by using the nonces from this package
    you won'\''t have any security issues.  Please make sure that the
    nonces generated via this package are usable on your design.

category:             Cryptography
abi:                  e1d4f454ef423ac5798e2d288b956c6a
exposed:              True
exposed-modules:      Crypto.Nonce
import-dirs:          /usr/lib/ghc-8.10.1/site-local/nonce-1.0.7
library-dirs:         /usr/lib/ghc-8.10.1/site-local/nonce-1.0.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/nonce-1.0.7
hs-libraries:         HSnonce-1.0.7-JXK1KxMTK7dLf3y2vvMBN1
depends:
    base-4.14.0.0 base64-bytestring-1.1.0.0-8y61mVV5S4e9MKNrBj6koR
    bytestring-0.10.10.0 entropy-0.4.1.6-FlQhn1x7lTc9FFhbQ0zOpu
    text-1.2.3.2 transformers-0.5.6.2
    unliftio-0.2.13-1smJtp0eZEqFlzXdgYejQa
    unliftio-core-0.2.0.1-DFzZctvkeWF1j2hnkeOBtq

haddock-interfaces:   /usr/share/doc/haskell-nonce/html/nonce.haddock
haddock-html:         /usr/share/doc/haskell-nonce/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

